microsoft-foundry.rest.security.o-auth2-auth
Agent Live Conversations
Delete a Live voice agent conversation
DELETE
/agents/{agent_name}/endpoint/protocols/voice/live/conversations/{conversation_id}
Deletes the stored conversation and its items/audio, without closing the Live session.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
VoiceAgents=V1Preview
Path parameters
agent_name
string
required
The name of the Live voice agent.
conversation_id
string
required
The Foundry conversation ID returned in session.started.conversation_id.
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
There is no content to send for this request, but the headers may be useful.
Request
DELETE /agents/{agent_name}/endpoint/protocols/voice/live/conversations/{conversation_id} HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json